Bug 1703510 - could not copy stable imagestreamtag: Timeout: request did not complete within allowed duration
Summary: could not copy stable imagestreamtag: Timeout: request did not complete withi...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Test Infrastructure
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.1.0
Assignee: Steve Kuznetsov
QA Contact: Wenjing Zheng
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-26 15:37 UTC by Alberto
Modified: 2019-06-04 10:48 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-04 10:48:05 UTC
Target Upstream Version:


Attachments (Terms of Use)
error occurrences (237.45 KB, image/png)
2019-04-26 15:37 UTC, Alberto
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0758 None None None 2019-06-04 10:48:13 UTC

Comment 1 Steve Kuznetsov 2019-04-26 21:30:09 UTC
Is this a matter of waiting longer for imagestream import controller?

Comment 2 Steve Kuznetsov 2019-04-27 16:33:26 UTC
We believe this could be due to the POST on ImageStreams taking more than the thirty second client timeout, due to the fact that we reference ~130 ImageStreamTags in that process and need to do the SAR checks for each one serially even if they are identical. I've written a patch to help with this [1]

[1] https://github.com/openshift/origin/pull/22689

Comment 5 Wenjing Zheng 2019-05-09 09:50:40 UTC
Sorry, verify the wrong CI test, change back to ON_QA for further verify.

Comment 6 Wenjing Zheng 2019-05-10 09:50:50 UTC
QE have tried to created an ImageStream is created with a large number of tags that reference other ImageStreamTags in the same namespace and also check recent ci test, all passed, so mark this bug to verified.

Comment 8 errata-xmlrpc 2019-06-04 10:48:05 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0758


Note You need to log in before you can comment on or make changes to this bug.